XAttr (JNA API)

com.sun.jna.platform.linux

## Interface XAttr

- All Superinterfaces:
    Library

      public interface XAttr
      extends Library

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XAttr.size_t`
    `static class` | `XAttr.ssize_t`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `E2BIG`
    `static int` | `EDQUOT`
    `static int` | `EEXIST`
    `static int` | `ENOATTR`
    `static int` | `ENODATA`
    `static int` | `ENOSPC`
    `static int` | `ENOTSUP`
    `static int` | `EPERM`
    `static int` | `ERANGE`
    `static XAttr` | `INSTANCE`
    `static int` | `XATTR_CREATE`
    `static int` | `XATTR_REPLACE`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XAttr.ssize_t` | `fgetxattr(int fd, java.lang.String name, byte[] value, XAttr.size_t size)`
    `XAttr.ssize_t` | `fgetxattr(int fd, java.lang.String name, Pointer value, XAttr.size_t size)`
    `XAttr.ssize_t` | `flistxattr(int fd, byte[] list, XAttr.size_t size)`
    `XAttr.ssize_t` | `flistxattr(int fd, Pointer list, XAttr.size_t size)`
    `int` | `fremovexattr(int fd, java.lang.String name)`
    `int` | `fsetxattr(int fd, java.lang.String name, byte[] value, XAttr.size_t size, int flags)`
    `int` | `fsetxattr(int fd, java.lang.String name, Pointer value, XAttr.size_t size, int flags)`
    `XAttr.ssize_t` | `getxattr(java.lang.String path, java.lang.String name, byte[] value, XAttr.size_t size)`
    `XAttr.ssize_t` | `getxattr(java.lang.String path, java.lang.String name, Pointer value, XAttr.size_t size)`
    `XAttr.ssize_t` | `lgetxattr(java.lang.String path, java.lang.String name, byte[] value, XAttr.size_t size)`
    `XAttr.ssize_t` | `lgetxattr(java.lang.String path, java.lang.String name, Pointer value, XAttr.size_t size)`
    `XAttr.ssize_t` | `listxattr(java.lang.String path, byte[] list, XAttr.size_t size)`
    `XAttr.ssize_t` | `listxattr(java.lang.String path, Pointer list, XAttr.size_t size)`
    `XAttr.ssize_t` | `llistxattr(java.lang.String path, byte[] list, XAttr.size_t size)`
    `XAttr.ssize_t` | `llistxattr(java.lang.String path, Pointer list, XAttr.size_t size)`
    `int` | `lremovexattr(java.lang.String path, java.lang.String name)`
    `int` | `lsetxattr(java.lang.String path, java.lang.String name, byte[] value, XAttr.size_t size, int flags)`
    `int` | `lsetxattr(java.lang.String path, java.lang.String name, Pointer value, XAttr.size_t size, int flags)`
    `int` | `removexattr(java.lang.String path, java.lang.String name)`
    `int` | `setxattr(java.lang.String path, java.lang.String name, byte[] value, XAttr.size_t size, int flags)`
    `int` | `setxattr(java.lang.String path, java.lang.String name, Pointer value, XAttr.size_t size, int flags)`

- - ### Field Detail

    - #### INSTANCE

          static final XAttr INSTANCE

    - #### XATTR_CREATE

          static final int XATTR_CREATE

      See Also:
        Constant Field Values

    - #### XATTR_REPLACE

          static final int XATTR_REPLACE

      See Also:
        Constant Field Values

    - #### EPERM

          static final int EPERM

      See Also:
        Constant Field Values

    - #### E2BIG

          static final int E2BIG

      See Also:
        Constant Field Values

    - #### EEXIST

          static final int EEXIST

      See Also:
        Constant Field Values

    - #### ENOSPC

          static final int ENOSPC

      See Also:
        Constant Field Values

    - #### ERANGE

          static final int ERANGE

      See Also:
        Constant Field Values

    - #### ENODATA

          static final int ENODATA

      See Also:
        Constant Field Values

    - #### ENOATTR

          static final int ENOATTR

      See Also:
        Constant Field Values

    - #### ENOTSUP

          static final int ENOTSUP

      See Also:
        Constant Field Values

    - #### EDQUOT

          static final int EDQUOT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setxattr

          int setxattr(java.lang.String path,
                       java.lang.String name,
                       Pointer value,
                       XAttr.size_t size,
                       int flags)

    - #### setxattr

          int setxattr(java.lang.String path,
                       java.lang.String name,
                       byte[] value,
                       XAttr.size_t size,
                       int flags)

    - #### lsetxattr

          int lsetxattr(java.lang.String path,
                        java.lang.String name,
                        Pointer value,
                        XAttr.size_t size,
                        int flags)

    - #### lsetxattr

          int lsetxattr(java.lang.String path,
                        java.lang.String name,
                        byte[] value,
                        XAttr.size_t size,
                        int flags)

    - #### fsetxattr

          int fsetxattr(int fd,
                        java.lang.String name,
                        Pointer value,
                        XAttr.size_t size,
                        int flags)

    - #### fsetxattr

          int fsetxattr(int fd,
                        java.lang.String name,
                        byte[] value,
                        XAttr.size_t size,
                        int flags)

    - #### getxattr

          XAttr.ssize_t getxattr(java.lang.String path,
                                 java.lang.String name,
                                 Pointer value,
                                 XAttr.size_t size)

    - #### getxattr

          XAttr.ssize_t getxattr(java.lang.String path,
                                 java.lang.String name,
                                 byte[] value,
                                 XAttr.size_t size)

    - #### lgetxattr

          XAttr.ssize_t lgetxattr(java.lang.String path,
                                  java.lang.String name,
                                  Pointer value,
                                  XAttr.size_t size)

    - #### lgetxattr

          XAttr.ssize_t lgetxattr(java.lang.String path,
                                  java.lang.String name,
                                  byte[] value,
                                  XAttr.size_t size)

    - #### fgetxattr

          XAttr.ssize_t fgetxattr(int fd,
                                  java.lang.String name,
                                  Pointer value,
                                  XAttr.size_t size)

    - #### fgetxattr

          XAttr.ssize_t fgetxattr(int fd,
                                  java.lang.String name,
                                  byte[] value,
                                  XAttr.size_t size)

    - #### listxattr

          XAttr.ssize_t listxattr(java.lang.String path,
                                  Pointer list,
                                  XAttr.size_t size)

    - #### listxattr

          XAttr.ssize_t listxattr(java.lang.String path,
                                  byte[] list,
                                  XAttr.size_t size)

    - #### llistxattr

          XAttr.ssize_t llistxattr(java.lang.String path,
                                   Pointer list,
                                   XAttr.size_t size)

    - #### llistxattr

          XAttr.ssize_t llistxattr(java.lang.String path,
                                   byte[] list,
                                   XAttr.size_t size)

    - #### flistxattr

          XAttr.ssize_t flistxattr(int fd,
                                   Pointer list,
                                   XAttr.size_t size)

    - #### flistxattr

          XAttr.ssize_t flistxattr(int fd,
                                   byte[] list,
                                   XAttr.size_t size)

    - #### removexattr

          int removexattr(java.lang.String path,
                          java.lang.String name)

    - #### lremovexattr

          int lremovexattr(java.lang.String path,
                           java.lang.String name)

    - #### fremovexattr

          int fremovexattr(int fd,
                           java.lang.String name)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.